//---------------------------------------------------------------------------
#ifndef CheckMessageBoxH
#define CheckMessageBoxH
//---------------------------------------------------------------------------
namespace OV {
//---------------------------------------------------------------------------
TModalResult PACKAGE OVCheckMesBox(
   AnsiString Message,
   AnsiString Caption,
   TMsgDlgType DlgType,
   TMsgDlgButtons Buttons,
   AnsiString CheckBoxCaption,
   bool & Checked
);
//---------------------------------------------------------------------------
class PACKAGE TOVCheckMessageBox: public TComponent
{
private:
   TStringList * FMessage;
   void __fastcall SetMessage(TStrings * Value);
   TStrings * __fastcall GetMessage();
   AnsiString FCaption;
   TMsgDlgType FDlgType;
   TMsgDlgButtons FButtons;
   void __fastcall SetButtons(TMsgDlgButtons Value);
   AnsiString FCheckBoxCaption;
   bool FChecked;
   TModalResult FOldModalResult;
public:
   __fastcall TOVCheckMessageBox(TComponent * Owner);
   TModalResult __fastcall Execute();
   virtual __fastcall ~TOVCheckMessageBox();
__published:
   __property TStrings * Message  = { read=GetMessage, write=SetMessage };
   __property AnsiString Caption  = { read=FCaption, write=FCaption };
   __property TMsgDlgType DlgType  = { read=FDlgType, write=FDlgType };
   __property TMsgDlgButtons Buttons  = { read=FButtons, write=SetButtons };
   __property AnsiString CheckBoxCaption  = { read=FCheckBoxCaption, write=FCheckBoxCaption };
   __property bool Checked  = { read=FChecked, write=FChecked, default = false };
};
//---------------------------------------------------------------------------
}  // OV
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace OV;
#endif
//---------------------------------------------------------------------------
#endif
